#include "stdafx.h"
#include "TimestamperUtils.h"

HRESULT AddTimestampFields(IFieldsEditPtr& ipFieldsEdit)
{

  HRESULT hr;

  // CREATION FIELD
	IFieldEditPtr ipCreField(CLSID_Field);
	ipCreField->put_Name(g_sCreFieldDefaultName);
	ipCreField->put_Type(esriFieldTypeDate);
  hr = ipFieldsEdit->AddField(ipCreField);
	if (FAILED(hr)) return hr;

  // MODIFICATION FIELD
	IFieldEditPtr ipModField(CLSID_Field);
	ipModField->put_Name(g_sModFieldDefaultName);
	ipModField->put_Type(esriFieldTypeDate);
  hr = ipFieldsEdit->AddField(ipModField);
	if (FAILED(hr)) return hr;

  // USER FIELD
	IFieldEditPtr ipUsrField(CLSID_Field);
	ipUsrField->put_Name(g_sUsrFieldDefaultName);
	ipUsrField->put_Type(esriFieldTypeString);
  hr = ipFieldsEdit->AddField(ipUsrField);
	if (FAILED(hr)) return hr;

	return S_OK;
}
